cascading.flow

## Class FlowProcess.NullFlowProcess

- java.lang.Object
- - cascading.flow.FlowProcess<java.lang.Object>
  - - cascading.flow.FlowProcess.NullFlowProcess

- Enclosing class:
    FlowProcess<Config>

      public static class FlowProcess.NullFlowProcess
      extends FlowProcess<java.lang.Object>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cascading.flow.FlowProcess

      `FlowProcess.NullFlowProcess`

  - ### Field Summary

    - ### Fields inherited from class cascading.flow.FlowProcess

      `NULL`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FlowProcess.NullFlowProcess()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `copyConfig(java.lang.Object config)`
    `FlowProcess` | `copyWith(java.lang.Object object)`
    `java.util.Map<java.lang.String,java.lang.String>` | `diffConfigIntoMap(java.lang.Object defaultConfig, java.lang.Object updatedConfig)`
    `java.lang.Object` | `getConfig()` Method getConfig returns the actual instance of the underlying configuration instance.
    `java.lang.Object` | `getConfigCopy()`
    `long` | `getCounterValue(java.lang.Enum counter)` Method getCounterValue is used to retrieve a counter value.
    `long` | `getCounterValue(java.lang.String group, java.lang.String counter)` Method getCounterValue is used to retrieve a counter value.
    `int` | `getCurrentSliceNum()` Method getCurrentSliceNum returns an integer representing which slice instance currently running.
    `int` | `getNumProcessSlices()` Method getNumProcessSlices returns the number of parallel slices or tasks allocated for this process execution.
    `java.lang.Object` | `getProperty(java.lang.String key)` Method getProperty should be used to return configuration parameters from the underlying system.
    `java.util.Collection<java.lang.String>` | `getPropertyKeys()` Method getPropertyKeys returns an immutable collection of all available property key values.
    `void` | `increment(java.lang.Enum counter, long amount)` Method increment is used to increment a custom counter.
    `void` | `increment(java.lang.String group, java.lang.String counter, long amount)` Method increment is used to increment a custom counter.
    `boolean` | `isCounterStatusInitialized()` Method isCounterStatusInitialized returns true if it is safe to increment a counter or set a status.
    `void` | `keepAlive()` Method keepAlive notifies the system that the current process is still alive.
    `java.lang.Object` | `mergeMapIntoConfig(java.lang.Object defaultConfig, java.util.Map<java.lang.String,java.lang.String> map)`
    `java.lang.Object` | `newInstance(java.lang.String className)` Method newInstance creates a new object instance from the given className argument delegating to any platform specific instantiation and configuration routines.
    `TupleEntryCollector` | `openSystemIntermediateForWrite()`
    `TupleEntryIterator` | `openTapForRead(Tap tap)` Method openTapForRead return a `TupleEntryIterator` for the given Tap instance.
    `TupleEntryCollector` | `openTapForWrite(Tap tap)` Method openTapForWrite returns a (@link TupleCollector} for the given Tap instance.
    `TupleEntryCollector` | `openTrapForWrite(Tap trap)` Method openTrapForWrite returns a (@link TupleCollector} for the given Tap instance.
    `void` | `setStatus(java.lang.String status)` Method setStatus is used to set the status of the current operation.

    - ### Methods inherited from class cascading.flow.FlowProcess

      `closeTrapCollectors, getBooleanProperty, getBooleanProperty, getCurrentSession, getID, getIntegerProperty, getIntegerProperty, getStringProperty, getStringProperty, getTrapCollectorFor, getTrapCollectors, setCurrentSession`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlowProcess.NullFlowProcess

          protected FlowProcess.NullFlowProcess()

  - ### Method Detail

    - #### copyWith

          public FlowProcess copyWith(java.lang.Object object)

      Specified by:
        `copyWith` in class `FlowProcess<java.lang.Object>`

    - #### getProperty

          public java.lang.Object getProperty(java.lang.String key)

      Description copied from class: `FlowProcess`
      Method getProperty should be used to return configuration parameters from the underlying system.

      In the case of Hadoop, the current Configuration will be queried.
      Specified by:
        `getProperty` in class `FlowProcess<java.lang.Object>`
      Parameters:
        `key` - of type String
      Returns:
        an Object

    - #### getPropertyKeys

          public java.util.Collection<java.lang.String> getPropertyKeys()

      Description copied from class: `FlowProcess`
      Method getPropertyKeys returns an immutable collection of all available property key values.
      Specified by:
        `getPropertyKeys` in class `FlowProcess<java.lang.Object>`
      Returns:
        a Collection

    - #### newInstance

          public java.lang.Object newInstance(java.lang.String className)

      Description copied from class: `FlowProcess`
      Method newInstance creates a new object instance from the given className argument delegating to any platform specific instantiation and configuration routines.
      Specified by:
        `newInstance` in class `FlowProcess<java.lang.Object>`
      Returns:
        an instance of className

    - #### keepAlive

          public void keepAlive()

      Description copied from class: `FlowProcess`
      Method keepAlive notifies the system that the current process is still alive. Use this method if a particular `Operation` takes some moments to complete. Each system is different, so calling ping every few seconds to every minute or so would be best.

      This method will fail silently if the underlying mechanism to notify keepAlive status are not initialized.
      Specified by:
        `keepAlive` in class `FlowProcess<java.lang.Object>`

    - #### increment

          public void increment(java.lang.Enum counter,
                       long amount)

      Description copied from class: `FlowProcess`
      Method increment is used to increment a custom counter. Counters must be of type Enum. The amount to increment must be a integer value.

      This method will fail if the underlying counter infrastructure is unavailable. See `FlowProcess.isCounterStatusInitialized()`.
      Specified by:
        `increment` in class `FlowProcess<java.lang.Object>`
      Parameters:
        `counter` - of type Enum
        `amount` - of type int

    - #### increment

          public void increment(java.lang.String group,
                       java.lang.String counter,
                       long amount)

      Description copied from class: `FlowProcess`
      Method increment is used to increment a custom counter. The amount to increment must be a integer value.

      This method will fail if the underlying counter infrastructure is unavailable. See `FlowProcess.isCounterStatusInitialized()`.
      Specified by:
        `increment` in class `FlowProcess<java.lang.Object>`
      Parameters:
        `group` - of type String
        `counter` - of type String
        `amount` - of type int

    - #### getCounterValue

          public long getCounterValue(java.lang.Enum counter)

      Description copied from class: `FlowProcess`
      Method getCounterValue is used to retrieve a counter value.

      This method will fail if the underlying counter infrastructure is unavailable. See `FlowProcess.isCounterStatusInitialized()`.
      Specified by:
        `getCounterValue` in class `FlowProcess<java.lang.Object>`
      Parameters:
        `counter` - of type Enum

    - #### getCounterValue

          public long getCounterValue(java.lang.String group,
                             java.lang.String counter)

      Description copied from class: `FlowProcess`
      Method getCounterValue is used to retrieve a counter value.

      This method will fail if the underlying counter infrastructure is unavailable. See `FlowProcess.isCounterStatusInitialized()`.
      Specified by:
        `getCounterValue` in class `FlowProcess<java.lang.Object>`
      Parameters:
        `group` - of type String
        `counter` - of type String

    - #### setStatus

          public void setStatus(java.lang.String status)

      Description copied from class: `FlowProcess`
      Method setStatus is used to set the status of the current operation.

      This method will fail if the underlying counter infrastructure is unavailable. See `FlowProcess.isCounterStatusInitialized()`.
      Specified by:
        `setStatus` in class `FlowProcess<java.lang.Object>`
      Parameters:
        `status` - of type String

    - #### isCounterStatusInitialized

          public boolean isCounterStatusInitialized()

      Description copied from class: `FlowProcess`
      Method isCounterStatusInitialized returns true if it is safe to increment a counter or set a status.
      Specified by:
        `isCounterStatusInitialized` in class `FlowProcess<java.lang.Object>`
      Returns:
        boolean

    - #### getNumProcessSlices

          public int getNumProcessSlices()

      Description copied from class: `FlowProcess`
      Method getNumProcessSlices returns the number of parallel slices or tasks allocated for this process execution.

      For MapReduce platforms, this is the same as the number of tasks for a given MapReduce job.
      Specified by:
        `getNumProcessSlices` in class `FlowProcess<java.lang.Object>`
      Returns:
        an int

    - #### getCurrentSliceNum

          public int getCurrentSliceNum()

      Description copied from class: `FlowProcess`
      Method getCurrentSliceNum returns an integer representing which slice instance currently running.

      `0` (zero) is the first slice instance.
      Specified by:
        `getCurrentSliceNum` in class `FlowProcess<java.lang.Object>`
      Returns:
        an int

    - #### openTapForRead

          public TupleEntryIterator openTapForRead(Tap tap)
                                            throws java.io.IOException

      Description copied from class: `FlowProcess`
      Method openTapForRead return a `TupleEntryIterator` for the given Tap instance.

      Note the returned iterator will return the same instance of `TupleEntry` on every call, thus a copy must be made of either the TupleEntry or the underlying `Tuple` instance if they are to be stored in a Collection.
      Specified by:
        `openTapForRead` in class `FlowProcess<java.lang.Object>`
      Parameters:
        `tap` - of type Tap
      Returns:
        TupleIterator
      Throws:
        `java.io.IOException` - when there is a failure opening the resource

    - #### openTapForWrite

          public TupleEntryCollector openTapForWrite(Tap tap)
                                              throws java.io.IOException

      Description copied from class: `FlowProcess`
      Method openTapForWrite returns a (@link TupleCollector} for the given Tap instance.
      Specified by:
        `openTapForWrite` in class `FlowProcess<java.lang.Object>`
      Parameters:
        `tap` - of type Tap
      Returns:
        TupleCollector
      Throws:
        `java.io.IOException` - when there is a failure opening the resource

    - #### openTrapForWrite

          public TupleEntryCollector openTrapForWrite(Tap trap)
                                               throws java.io.IOException

      Description copied from class: `FlowProcess`
      Method openTrapForWrite returns a (@link TupleCollector} for the given Tap instance.
      Specified by:
        `openTrapForWrite` in class `FlowProcess<java.lang.Object>`
      Parameters:
        `trap` - of type Tap
      Returns:
        TupleCollector
      Throws:
        `java.io.IOException` - when there is a failure opening the resource

    - #### openSystemIntermediateForWrite

          public TupleEntryCollector openSystemIntermediateForWrite()
                                                             throws java.io.IOException

      Specified by:
        `openSystemIntermediateForWrite` in class `FlowProcess<java.lang.Object>`
      Throws:
        `java.io.IOException`

    - #### getConfig

          public java.lang.Object getConfig()

      Description copied from class: `FlowProcess`
      Method getConfig returns the actual instance of the underlying configuration instance.

      This instance should not be modified or cached, see `FlowProcess.getConfigCopy()` for a modifiable instance.
      Specified by:
        `getConfig` in class `FlowProcess<java.lang.Object>`
      Returns:
        an instance of the configuration

    - #### getConfigCopy

          public java.lang.Object getConfigCopy()

      Specified by:
        `getConfigCopy` in class `FlowProcess<java.lang.Object>`

    - #### copyConfig

          public java.lang.Object copyConfig(java.lang.Object config)

      Specified by:
        `copyConfig` in class `FlowProcess<java.lang.Object>`

    - #### diffConfigIntoMap

          public java.util.Map<java.lang.String,java.lang.String> diffConfigIntoMap(java.lang.Object defaultConfig,
                                                                           java.lang.Object updatedConfig)

      Specified by:
        `diffConfigIntoMap` in class `FlowProcess<java.lang.Object>`

    - #### mergeMapIntoConfig

          public java.lang.Object mergeMapIntoConfig(java.lang.Object defaultConfig,
                                            java.util.Map<java.lang.String,java.lang.String> map)

      Specified by:
        `mergeMapIntoConfig` in class `FlowProcess<java.lang.Object>`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.